r1216 - trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches
Thiemo Seufer
ths-guest@haydn.debian.org
Wed, 18 Aug 2004 09:35:47 -0600
Author: ths-guest
Date: 2004-08-18 09:35:43 -0600 (Wed, 18 Aug 2004)
New Revision: 1216
Added:
trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/20_sb1-mipsrtc.dpatch
Log:
Add forgotten patch file.
Added: trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/20_sb1-mipsrtc.dpatch
===================================================================
--- trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/20_sb1-mipsrtc.dpatch 2004-08-18 15:08:30 UTC (rev 1215)
+++ trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/20_sb1-mipsrtc.dpatch 2004-08-18 15:35:43 UTC (rev 1216)
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+## 20_sb1-mipsrtc.dpatch by Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: SWARM needs CONFIG_MIPS_RTC
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+--- kernel-source-2.4.27/arch/mips/config-shared.in.old 2004-08-18 16:06:03.000000000 +0200
++++ kernel-source-2.4.27/arch/mips/config-shared.in 2004-08-18 16:06:16.000000000 +0200
+@@ -202,6 +202,10 @@ if [ "$CONFIG_SIBYTE_SB1xxx_SOC" = "y" ]
+ "$CONFIG_SIBYTE_STANDALONE" != "y" ]; then
+ define_bool CONFIG_SMP_CAPABLE y
+ fi
++
++ if [ "$CONFIG_SIBYTE_SWARM" = "y" ]; then
++ define_bool CONFIG_MIPS_RTC y
++ fi
+ fi
+ bool 'Support for SNI RM200 PCI' CONFIG_SNI_RM200_PCI
+ bool 'Support for TANBAC TB0226 (Mbase)' CONFIG_TANBAC_TB0226
Property changes on: trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/20_sb1-mipsrtc.dpatch
___________________________________________________________________
Name: svn:executable
+ *